# Permission Checker

The CopyStorm/Medic Permission Checker will find Salesforce tables and fields that are visible using the Salesforce metadata API but are not visible for backup using the current Salesforce credentials.

It is a common misconception that a member of the Salesforce Administrator group can see all table and fields in a Salesforce instance. In practice, there are even many standard Salesforce fields that a Salesforce Administrator cannot view by default. The Permission Checker helps you find these tables and fields.

## Running the Permission Checker in a GUI

Running the Permission Checker involves clicking on a single button – Start Scanning Metadata.

* The Salesforce user credentials provided to the Permissions Checker must have access to read the Salesforce metadata definitions for each object.
* Use of the metadata API requires the system permission “Modify Metadata Through Metadata API Functions.”

![](https://4057376488-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FsbSqfKw3vSfr8qwXao4j%2Fuploads%2Fgit-blob-a2143dd675376fefc2877da68d988a8e4f1951a4%2F4dc4c827-permissions_checker.jpg?alt=media)

Do not be alarmed when you find a lot of fields that are not visible to a Salesforce Administrator. Most likely you are not using them in your instance.

## Running Permission Checker as a Batch Job

The Permission Checker tool can be run as a batch job using the following syntax:

* Windows
  * CopyStormMedic.bat -tool findPermissionErrors -run configFile.copyStormMedic
* Linux
  * sh CopyStormMedic.sh -tool findPermissionErrors -run configFile.copyStormMedic


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/reference/copystorm-medic/permission-checker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
